package com.imageresizer;

import android.graphics.Bitmap;
import android.graphics.Color;


import com.n4no.webpencoder.codec.WebpBitmapEncoder;

import java.io.File;
import java.io.IOException;

public class MyWebpEncoder implements MyEncoder{

    private final WebpBitmapEncoder webpBitmapEncoder;

    public MyWebpEncoder(File file, int quality) {

        try {
            this.webpBitmapEncoder = new WebpBitmapEncoder(file);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }

        this.webpBitmapEncoder.setLoops(0);
    }




    @Override
    public void setDelay(int delay) {
        webpBitmapEncoder.setDuration(delay);
    }

    @Override
    public void addFrame(Bitmap frame) {
        try {
            webpBitmapEncoder.writeFrame(frame, 100);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }


    @Override
    public void close() {
        try {
            webpBitmapEncoder.close();
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
}
