package com.imageresizer;

import android.graphics.Bitmap;

public interface AnimatedDecoder {

    int getFrameCount();

    int getNextDelay();

    Bitmap getNextFrame();

    int getDelay(int index);

    void advance();

    String getDecoderName();
    Object getDecoder();
}
