package com.imageresizer;

import com.bumptech.glide.load.resource.gif.GifDrawableEncoder;

import java.io.File;

public class EncoderFactory {
    public static MyEncoder createEncoder(String type, File outputFile, int quality, int delay) {

        if ("gif".equalsIgnoreCase(type)) {
            return new MyGifEncoder(outputFile, quality);
        } else if ("webp".equalsIgnoreCase(type)) {
            return new MyWebpEncoder(outputFile, quality);
        } else {
            throw new IllegalArgumentException("Unsupported encoding type: " + type);
        }
    }
}
